WindowingConfig
Configuration for windowing strategy
Usage profiles
| Usage | Fields and validation |
|---|---|
| In requests | View fields |
| In responses | View fields |
In requests
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
maxMessages | integer (int32) | Optional | Maximum number of conversation messages to retain in the context window. Minimum: -2147483648. Maximum: 2147483647. |
In responses
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
maxMessages | integer (int32) | Optional | Maximum number of conversation messages to retain in the context window. Minimum: -2147483648. Maximum: 2147483647. |
Where used
| Reference | Relationship |
|---|---|
| Create a new conversation thread | POST /api/v1/llm/create-thread |
| Update context management settings | POST /api/v1/llm/update-context-management-settings |
| Get full conversation state | POST /api/v1/llm/conversation-state |
| ContextManagementSettings | Nested in model |
| ContextManagementSettings | Nested in model |
Download the public reference contract.
Document: DOC-API-MODEL-windowing-config.